
QGIS Application - Bug report #1041

crash deleting vertices on a ring that has less than 3 vertices

2008-04-15 10:39 PM - Marco Hugentobler

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: Digitising

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11101

Description

QGIS sometimes crashes if a polygon ring already has less than 3 points and the 'delete vertex' tool is applies to one of the two vertices.

History

#1 - 2008-04-17 12:22 AM - Marco Hugentobler

- Resolution set to fixed

- Status changed from Open to Closed

A fix for the crash is in commit:ba47247a (SVN r8359)

#2 - 2009-08-22 12:54 AM - Anonymous

Milestone Version 0.9.2 deleted
